Package org.linphone.core

# Enum Class ConferenceScheduler.Type

java.lang.Object
java.lang.Enum<ConferenceScheduler.Type>
org.linphone.core.ConferenceScheduler.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ConferenceScheduler.Type>`, `Constable`

Enclosing interface:
  ConferenceScheduler

public static enum ConferenceScheduler.Type extends Enum<ConferenceScheduler.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CCMP`
CCMP conference scheduler type.
`DB`
Database conference scheduler type.
`SIP`
SIP conference scheduler type.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ConferenceScheduler.Type`
`fromInt(int value)`
`int`
`toInt()`
`static ConferenceScheduler.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConferenceScheduler.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SIP

public static final ConferenceScheduler.Type SIP
SIP conference scheduler type.

### DB

public static final ConferenceScheduler.Type DB
Database conference scheduler type.

### CCMP

public static final ConferenceScheduler.Type CCMP
CCMP conference scheduler type.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ConferenceScheduler.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConferenceScheduler.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ConferenceScheduler.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()